using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace ScadaLink.ConfigurationDatabase.Migrations
{
    /// <inheritdoc />
    public partial class AddPrimaryBackupDataConnections : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "Configuration",
                table: "DataConnections",
                newName: "PrimaryConfiguration");

            migrationBuilder.AddColumn<string>(
                name: "BackupConfiguration",
                table: "DataConnections",
                type: "nvarchar(4000)",
                maxLength: 4000,
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "FailoverRetryCount",
                table: "DataConnections",
                type: "int",
                nullable: false,
                defaultValue: 3);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "BackupConfiguration",
                table: "DataConnections");

            migrationBuilder.DropColumn(
                name: "FailoverRetryCount",
                table: "DataConnections");

            migrationBuilder.RenameColumn(
                name: "PrimaryConfiguration",
                table: "DataConnections",
                newName: "Configuration");
        }
    }
}
